Q & A

bbgo 관련 요청이나 문의 사항을 자유롭게 적어주세요. 뒤로가기
ubuntu18.04 버전에서 설치 할때 문의 사항 있습니다.ㅜㅜ
missio
261 0
2020-03-13 17:38:07
https://gencode.me/33/
1.212.*.*
2020-03-13 17:38:30

bbgo 1.0문서에서 python 3.6 + Django 2.x를 사용하면 동일하다고 하셨는데

설치가 제대로 되지 않아서 질문 사항 있습니다.


1. python 3.6으로 하면 명령어도 pip3.6 install 이런식으로 명시해줘야하나요??

     ex) pip3.6 install virtualenv / pip3.6 install -r requirements.txt

     python3.6 manage.py createsuperuser


2. Django 2.x 를 사용하면 git checkout -b 1.x 을 git checkout -b 2.x 로 실행해야하나요?


3. python manage.py createsuperuser 실행 시 secrets.json를 로드할 수 없다고 하는데 따로 받아야 하나요?


비추 공유
댓글 [ 1 ]
gencode.me 03-15
1. virtualenv 환경을 python3 로 만드셨다면 pip만 해도 pip3가 실행 될텐데, 시스템의 기본 python이 2.7이라면 pip3를 해야 되는 걸로 알고 있습니다. 자세한 건 pip --version 으로 python 3.x 용 pip인지 확인하시면 됩니다.

2. 아뇨. 그냥 최신 소스를 git clone 하시면 됩니다.

3. 이 문서를 참고하세요. https://gencode.me/21/